# apps/auth/serializers.py

from apps.auth.models import User

def serialize_user(user: User) -> dict:
    """Serialize user object for response."""
    return {
        'id': user.id,
        'email': user.email,
        'username': user.username,
    }
